%define name		psi-qssl
%define src_name	qssl
%define version		1.0
%define release		4mdk
%define group		Networking/Instant messaging
%define url		http://psi.sf.net
#%define src_url		%{url}/download.php?version=common&file=%{src_name}-%{version}.tar.bz2
%define src_url		%{src_name}-%{version}.tar.bz2
%define qtversion	3.0.5

# spec File for Qssl
# 
# written by Hendrik Muhs <Hendrik.Muhs@web.de>
# Heavily modified by Alexander Skwar <ASkwar@DigitalProjects.com> for
# MandrakeLinux
#
#
Name:	 	%{name}
License:	GPL
Group:		%{group}
Summary:	SSL Plugin for Psi
Version:	%{version}
Release:	%{release}
Source:		%{src_url}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		%{url}
BuildRequires:	libopenssl0.9.7-devel >= 0.9.7, libqt3-devel
Requires:	libopenssl0.9.7       >= 0.9.7, libqt3

%description
psi-qssl is a plugin for the psi Jabber Client for secure connection via SSL

%prep
%setup -q -n %{src_name}-%{version}

%build
QTDIR=%{_libdir}/qt3
QMAKESPEC="linux-g++"
export QTDIR QMAKESPEC
$QTDIR/bin/qmake qssl.pro
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/psi
cp libqssl.so %{buildroot}%{_datadir}/psi

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README
%{_datadir}/psi/libqssl.so

%changelog
* Tue Feb 25 2003 Alexander Skwar <ASkwar@DigitalProjects.com> 1.0-4mdk
- Fix requires of libopenssl

* Mon Feb 24 2003 Alexander Skwar <ASkwar@DigitalProjects.com> 1.0-3mdk
- Rebuild for openssl 0.9.7

* Sat Dec 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.0-2mdk
- Rebuild for new glibc

* Sat Aug 31 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.0-1mdk
- Initial release for MandrakeLinux

* Mon Jul 09 2002 Hendrik Muhs <Hendrik.Muhs@web.de>
- initial release

